AuthorizationService (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: AuthorizationService

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class AuthorizationService

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.AuthorizationService

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`

public class AuthorizationService extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationService(ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedOpenBISService openBisService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `doesUserHaveRole(String user, String role, String spaceOrNull)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable>`
  `filterToVisibleDatasets(String user, List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable> datasets)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable>`
  `filterToVisibleExperiments(String user, List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable> experiments)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable>`
  `filterToVisibleSamples(String user, List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable> samples)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable>`
  `listAuthorizationGroups()`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable>`
  `listAuthorizationGroupsForUser(String userId)`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IRoleAssignmentImmutable>`
  `listRoleAssignments()`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IUserImmutable>`
  `listUsersForAuthorizationGroup(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable authorizationGroup)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthorizationService

    public AuthorizationService(ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedOpenBISService openBisService)

- ## Method Details

  - ### doesUserHaveRole

    public boolean doesUserHaveRole(String user, String role, String spaceOrNull)
    Specified by:
      `doesUserHaveRole` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`

  - ### filterToVisibleDatasets

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable> filterToVisibleDatasets(String user, List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable> datasets)
    Specified by:
      `filterToVisibleDatasets` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`

  - ### filterToVisibleExperiments

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable> filterToVisibleExperiments(String user, List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable> experiments)
    Specified by:
      `filterToVisibleExperiments` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`

  - ### filterToVisibleSamples

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable> filterToVisibleSamples(String user, List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable> samples)
    Specified by:
      `filterToVisibleSamples` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`

  - ### listAuthorizationGroups

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable> listAuthorizationGroups()
    Specified by:
      `listAuthorizationGroups` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`

  - ### listAuthorizationGroupsForUser

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable> listAuthorizationGroupsForUser(String userId)
    Specified by:
      `listAuthorizationGroupsForUser` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`

  - ### listUsersForAuthorizationGroup

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IUserImmutable> listUsersForAuthorizationGroup(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable authorizationGroup)
    Specified by:
      `listUsersForAuthorizationGroup` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`

  - ### listRoleAssignments

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IRoleAssignmentImmutable> listRoleAssignments()
    Specified by:
      `listRoleAssignments` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.authorization.IAuthorizationService`